%define pname     streamdev
#define prever    20090706
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Streaming plug-in for VDR

Group:          Applications/Multimedia
License:        GPL+ and GPLv2+
URL:            http://streamdev.vdr-developer.org
Source0:        http://streamdev.vdr-developer.org/releases/vdr-streamdev-%{version}%{?prever:-pre-%{prever}}.tgz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}-server.conf
Source2:        %{name}-client.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.5.9
BuildRequires:  gettext

%description
The streamdev plug-in adds streaming capabilities to your VDR.

%package server
Summary:        Streaming server plug-in for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description server
Lets your VDR act as a streaming server for other clients.
This will let you watch TV or Recordings across the network.

%package client
Summary:        Streaming client plug-in for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description client
Lets your VDR in conjunction with a streamdev-server act as a streaming client.
VDR will then be able to work even without a DVB device.

%prep
%setup -q -n %{pname}-%{version}%{?prever:-pre-%{prever}}

sed -i 's@$(VDRDIR)/device.h@%{_includedir}/vdr/device.h@' Makefile

for f in CONTRIBUTORS HISTORY; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv
  touch -r $f $f.conv
  mv $f.conv $f
done

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{_libdir}/vdr/locale all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins
install -pm 755 server/libvdr-%{pname}-server.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 client/libvdr-%{pname}-client.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 streamdev-server/streamdevhosts.conf $RPM_BUILD_ROOT%{configdir}/plugins/streamdevhosts.conf
install -Dpm 755 streamdev-server/externremux.sh $RPM_BUILD_ROOT%{_libdir}/vdr/bin/externremux.sh 
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-server.so.%{apiver}
%{_libdir}/vdr/bin/externremux.sh
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
%config(noreplace) %{configdir}/plugins/streamdevhosts.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%files client
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-client.so.%{apiver}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%changelog
* Sun Jul 25 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-1
- update to final 0.5.0 release

* Sat Jan 02 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-0.2.pre20090706
- added missing BuildReq: gettext

* Fri Dec 18 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-0.1.pre20090706
- update to latest version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 30 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-2
- Incorporated fixes suggested in bug #454120
* Fri Jul  4 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-1
- Initial Build
